dojo.provide("javascript.widgets.XSFloatingPane");

dojo.require("dojox.layout.FloatingPane");

dojo.declare("javascript.widgets.XSFloatingPane", [ dojox.layout.FloatingPane ],
{
	postCreate: function(){
		this.inherited(arguments);
		
		this.connect(this.focusNode, "onkeypress", function(e){
			if(e.keyCode==dojo.keys.ESCAPE){
				this.close(); //for accessiblity
			}
		}, this);
	},
									
	//Override this because there is a bug in dojo #12630 which is targeted for dojo 1.8
	resize: function(/* Object */dim){
		dim = dim || this._naturalState;
		this._naturalState = dim;
		
		// From the ResizeHandle we only get width and height information
		var dns = this.domNode.style;
		if("t" in dim){ dns.top = dim.t + "px"; }
		if("l" in dim){ dns.left = dim.l + "px"; }
		dns.width = dim.w + "px";
		dns.height = dim.h + "px";

		// Now resize canvas
		var mbCanvas = { l: 0, t: 0, w: dim.w, h: (dim.h - this.focusNode.offsetHeight) };
		dojo.marginBox(this.canvas, mbCanvas);

		// If the single child can resize, forward resize event to it so it can
		// fit itself properly into the content area
		this._checkIfSingleChild();
		if(this._singleChild && this._singleChild.resize){
			this._singleChild.resize(mbCanvas);
		}
	}
});


